]> git.immae.eu Git - perso/Immae/Config/Nix.git/blobdiff - nixops/scripts/setup
Add monitoring script with smartctl
[perso/Immae/Config/Nix.git] / nixops / scripts / setup
diff --git a/nixops/scripts/setup b/nixops/scripts/setup
deleted file mode 100755 (executable)
index 22f43ce..0000000
+++ /dev/null
@@ -1,82 +0,0 @@
-#!/bin/bash
-
-set -euo pipefail
-
-MAKEFILE_DIR="$( cd "$( dirname $( dirname "${BASH_SOURCE[0]}" ))" >/dev/null 2>&1 && pwd )"
-
-if ! which nix 2>/dev/null >/dev/null; then
-  cat <<-EOF
-       nix is needed, please install it:
-       > curl https://nixos.org/nix/install | sh
-       (or any other way handled by your distribution)
-       EOF
-  exit 1
-fi
-
-if [ "${NIX_STORE:-/nix/store}" != "/nix/store" ]; then
-  cat <<-EOF
-       Nix store outside of /nix/store is not supported
-       EOF
-  exit 1
-fi
-
-gpg_keys=$(pass ls Nixops/GPGKeys | sed -e "1d" | cut -d" " -f2)
-for key in $gpg_keys; do
-  content=$(pass show Nixops/GPGKeys/$key)
-  fpr=$(echo "$content" | gpg --import-options show-only --import --with-colons | grep -e "^pub" | cut -d':' -f5)
-  gpg --list-key "$fpr" >/dev/null 2>/dev/null && imported=yes || imported=no
-  # /usr/share/doc/gnupg/DETAILS field 2
-  (echo "$content" | gpg --import-options show-only --import --with-colons |
-      grep -E '^pub:' |
-      cut -d':' -f2 |
-      grep -q '[fu]') && signed=yes || signed=no
-  if [ "$signed" = no -o "$imported" = no ] ; then
-    echo "The key for $key needs to be imported and signed (a local signature is enough)"
-    echo "$content" | gpg --import-options show-only --import
-    echo "Continue? [y/N]"
-    read y
-    if [ "$y" = "y" -o "$y" = "Y" ]; then
-      echo "$content" | gpg --import
-      gpg --expert --edit-key "$fpr" lsign quit
-    else
-      echo "Aborting"
-      exit 1
-    fi
-  fi
-done
-
-if nix show-config --json | jq -e '.sandbox.value == "true"' >/dev/null; then
-  cat <<-EOF
-       There used to be some impure derivations (grep __noChroot), you may need
-         sandbox = "relaxed"
-       in /etc/nix/nix.conf
-       you may also want to add
-         keep-outputs = true
-         keep-derivations = true
-       to prevent garbage collector from deleting build dependencies (they take a lot of time to build)
-        and
-         allow-import-from-derivation = false
-       as an attempt to avoid having build-time derivations (doesn’t work for all packages)
-       press key to continue
-       EOF
-  read y
-fi
-
-if ! make -C $MAKEFILE_DIR deployment_is_set 2>/dev/null >/dev/null; then
-  cat <<-EOF
-       Importing deployment file into nixops:
-       Continue? [y/N]
-       EOF
-  read y
-  if [ "$y" = "y" -o "$y" = "Y" ]; then
-    make -C $MAKEFILE_DIR pull_deployment
-  else
-    echo "Aborting"
-    exit 1
-  fi
-fi
-
-cat <<-EOF
-       All set up.
-       Please make sure you’re using make commands when deploying
-       EOF